[package]
name = "common"
edition = "2021"
version.workspace = true

[dependencies]
# Serialization
serde.workspace = true
toml.workspace = true

# Cryptography
password-hash.workspace = true
pbkdf2.workspace = true
rsa.workspace = true
rand_mt.workspace = true

# Database
sqlx.workspace = true
rustyline-async.workspace = true
thiserror.workspace = true
rand.workspace = true
byteorder.workspace = true
regex.workspace = true
ansi_term.workspace = true

# Logging
env_logger.workspace = true
tracing.workspace = true
tracing-futures.workspace = true
tracing-log.workspace = true
tracing-subscriber.workspace = true
tracing-bunyan-formatter.workspace = true
